<?
/********************************************************************************************************
	Title : XBBS ver.4.0
	Part : XBoard ver.4.0
	Segment : Read ver.4.0
	FileName : xbbs/board/xboard_read.php
	
	 : ӿ [017-425-5454]
	 : 2001-10-16(ȭ)
*********************************************************************************************************/
?>
<? include( "../setup/setup.php" ) ?>
<? include( "../lib/xboard_class.php" ) ?>
<? include( "../lib/xipaddress_lib.php" ) ?>
<? session_start() ?>
<?
    $X = new XBoard( $FileUploadFolder, $ABSFileUploadFolder, $HostName, $Database, $UserID, $Password );

        /* Get Board Configuration */
    if( !$X->GetBoardConfig($id) )
        $X->GoBackExit();

        /* Check Permision */
    if( !$X->GetPermision("READ") )
    {
        $X->MessageBox( "б ", "ϱ  ϴ<br><br>", "OK", "history.go(-1)", "" );
        $X->BreakExit();
    }

    $keyword[cont] = trim($keyword[cont]);

        /* Increasing Count */
    $X->Clear();
    $X->Add( "Update ".$X->GetTableName() );
    $X->Add( "Set count=count+1 " );
    $X->Add( "Where" );
    $X->Add( "(" );
    $X->Add(     "(write_time='$write_time')" );
    $X->Add( "And (ref='$ref')" );
    $X->Add( "And (seq=".sprintf("%d",$seq).")" );
    $X->Add( ")" );
    $X->ExecSQL();

        /* Get Article */
    $X->Clear();
    $X->Add( "Select *" );
    $X->Add( "From ".$X->GetTableName() );
    $X->Add( "Where" );
    $X->Add( "(" );
    $X->Add(     "(write_time='$write_time')" );
    $X->Add( "And (ref='$ref')" );
    $X->Add( "And (seq=".sprintf("%d",$seq).")" );
    $X->Add( ")" );
    $X->Add( "Order By ref DESC, seq DESC" );
    $X->Open();

    $write_time =   $X->GetField( write_time );
    $ref =          $X->GetField( ref );
    $seq =          $X->GetField( seq );
    $re_level =     $X->GetField( re_level );
    $author =       htmlspecialchars( stripslashes($X->GetField(author)) );
    $email =        htmlspecialchars( stripslashes($X->GetField(email)) );
    $title =        htmlspecialchars(  stripslashes( $X->GetField(title) )  );
    $count =        $X->GetField( count );
    $file =         $X->GetField( file );
    $FileList =     explode( ";", $file );
    $cont =         stripslashes( $X->GetField(cont) );
    $ip_addr =      hex2ip( $X->GetField(ip_addr) );
    if( $X->GetExt_1Enabled() )     $Ext1 = htmlspecialchars( stripslashes($X->GetField(ext1) )  );
    if( $X->GetExt_2Enabled() )     $Ext2 = htmlspecialchars( stripslashes($X->GetField(ext2) )  );

    $html_enabled = $X->Getfield( html_enabled );
    if( !$html_enabled )  $cont = nl2br( htmlspecialchars($cont) );

        /* datetime operation */
    $cont = $X->Tag2Datetime( $cont, $X->GetField(start_datetime), $X->GetField(end_datetime) );
        /* Uploaded file operation */
    $cont = $X->FileList2MimeCont( $cont, $file );

    echo stripslashes( $X->GetHead() );
    echo "
<script language='JavaScript'>
    var dragswitch = 0;
    var nsx;
    var nsy;
    var nstemp;

    function drag_dropns( name )
    {
        temp = eval( name );
        temp.captureEvents( Event.MOUSEDOWN | Event.MOUSEUP );
        temp.onmousedown = gons;
        temp.onmousemove = dragns;
        temp.onmouseup = stopns;
    }

    function gons( e )
    {
        temp.captureEvents( Event.MOUSEMOVE );
        nsx = e.x;
        nsy = e.y;
    }

    function dragns( e )
    {
        if( dragswitch==1 )
        {
            temp.moveBy( e.x-nsx, e.y-nsy );
            return false;
        }
    }

    function stopns()
    {
        temp.releaseEvents( Event.MOUSEMOVE );
    }


    var dragapproved = false;

    function drag_dropie()
    {
        if( dragapproved==true )
        {
            document.all.showimage.style.pixelLeft = tempx + event.clientX - iex;
            document.all.showimage.style.pixelTop = tempy + event.clientY - iey;
            return false
        }
    }

    function initializedragie()
    {
        iex = event.clientX;
        iey = event.clientY;
        tempx = showimage.style.pixelLeft;
        tempy = showimage.style.pixelTop;
        dragapproved = true;
        document.onmousemove = drag_dropie;
    }


    if( document.all )
    {
        document.onmouseup = new Function('dragapproved=false');
    }

    function hidebox()
    {
        if( document.all )          showimage.style.visibility = 'hidden';
        else if( document.layers )  document.showimage.visibility = 'hide';
    }

    function showbox()
    {
//        MyLeft = event.clientX - 200;
        MyLeft = 10;
//        MyTop  = event.clientY;
        MyTop  = event.clientY+20;

        showimage.style.left = '' + MyLeft + 'px';
        showimage.style.top  = '' + MyTop + 'px';

        if( document.all )          showimage.style.visibility = 'visible';
        else if( document.layers )  document.showimage.visibility = 'show';
    }

    function MyTogle()
    {
        if( showimage.style.visibility == 'visible' )   hidebox();
        else                                            showbox();
    }

    function MyRead( write_time, ref, seq )
    {
        var url = 'xboard_read.php?id=".$X->GetBoardID()."&write_time=' + write_time + '&ref=' + ref + '&seq=' + seq + '&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."';

        url = url + '&v=1';
        url = url + '&l=' + showimage.style.left;
        url = url + '&t=' + showimage.style.top;

        document.location.replace( url );
    }
</script>


<TABLE border='0' cellpadding='2' cellspacing='0' width='100%'>
    <tr><td align=right><font color=gray>ۼ : $author</font></td></tr>
</table>

<table cellpadding=2 cellspacing=1 width='100%'>
  <TR height=30>
    <TD bgcolor=".$X->GetColorFieldBgcolor()." align=center style='border-width:1px; border-bottom-color:".$X->GetColorFieldRightBottom()."; border-left-color:".$X->GetColorFieldLeftTop()."; border-top-color:".$X->GetColorFieldLeftTop()."; border-right-color:".$X->GetColorFieldRightBottom()."; border-style:solid;'>$title</TD>
  </TR>
  <TR>
    <TD bgcolor=".$X->GetColorContBgcolor()." align=center style='border-width:1px; border-bottom-color:".$X->GetColorContRightBottom()."; border-left-color:".$X->GetColorContLeftTop()."; border-top-color:".$X->GetColorContLeftTop()."; border-right-color:".$X->GetColorContRightBottom()."; border-style:solid;'>
      <table cellpadding=0 cellspacing=0 width='95%'>
        <tr>
          <td><br>
            $cont".
    ( ($X->GetExt_1Enabled())? ("<br><li>".$X->GetExt_1Cont()." : $Ext1"): ("") ).
    ( ($X->GetExt_2Enabled())? ("<br><li>".$X->GetExt_2Cont()." : $Ext2"): ("") )."
            <div align=right><font color=gray>".( ($X->GetPermision("SHOWIP"))? ("IP-Addr : $ip_addr &nbsp;&nbsp;&nbsp;"): ("") )."Ͻ : $write_time</font></div>
          </td>
        </tr>
      </table>
    </TD>
  </TR>
</TABLE>
<!-- ϴܺ  -->
<TABLE border='0' cellpadding='2' cellspacing='0' width='100%'>
<form name='SearchForm' action='xboard_list.php' onSubmit='this.btGo.disabled=true;'>
  <tr>
    <td align=left>
    ";

    if( $X->GetButtonType() )
    {
        if( $X->GetPermision("CONFIG") )
            echo "<a href='#' title='ȯ漳' onClick=\"window.open('../admin/xboard_admin.php?id=".$X->GetBoardID()."&mode=MODIFY','XBoardConfigWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,copyhistory=no,width=790,height=550')\"><img src='img/xb_config.gif' border=0></a>\n";
        if( $X->GetPermision("LIST") )
            echo "<a href='xboard_list.php?id=".$X->GetBoardID()."&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''><img src='img/xb_list.gif' border=0></a>\n";
        if( $X->GetPermision("WRITE") )
        {
            echo "
            <a href='xboard_write.php?id=".$X->GetBoardID()."' title=''><img src='img/xb_write.gif' border=0></a>
            <a href='xboard_reply.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title='亯'><img src='img/xb_reply.gif' border=0></a>
            <a href='xboard_modify.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''><img src='img/xb_modify.gif' border=0></a>
            <a href='xboard_delete.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''><img src='img/xb_delete.gif' border=0></a>
            ";
        }
        echo "<a href='xboard_sendmail.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."', title=' Ϸ ' ><img src='img/xb_sendmail.gif' border=0></a>\n";
        if( $X->GetPermision("LIST") )
            echo "<a href='#' title='ñ۸' onClick='showbox()'><img src='img/xb_relational.gif' border=0></a>\n";
    }
    else
    {
        if( $X->GetPermision("CONFIG") )
            echo "|&nbsp;<a href='#' title='ȯ漳' onClick=\"window.open('../admin/xboard_admin.php?id=".$X->GetBoardID()."&mode=MODIFY','XBoardConfigWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,copyhistory=no,width=790,height=550')\"></a>&nbsp;\n";
        if( $X->GetPermision("LIST") )
            echo "|&nbsp;<a href='xboard_list.php?id=".$X->GetBoardID()."&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''></a>&nbsp;\n";
        if( $X->GetPermision("WRITE") )
        {
            echo "
              |&nbsp;<a href='xboard_write.php?id=".$X->GetBoardID()."' title=''></a>&nbsp;
              |&nbsp;<a href='xboard_reply.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title='亯'>亯</a>&nbsp;
              |&nbsp;<a href='xboard_modify.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''></a>&nbsp;
              |&nbsp;<a href='xboard_delete.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."' title=''></a>&nbsp;
            ";
        }
        echo "|&nbsp;<a href='xboard_sendmail.php?id=".$X->GetBoardID()."&write_time=$write_time&ref=$ref&seq=$seq&e=$e&keyword[field]=".$keyword[field]."&keyword[cont]=".$keyword[cont]."', title=' Ϸ ' ></a>&nbsp;";
        if( $X->GetPermision("LIST") )
            echo "|&nbsp;<a href='#' title='ñ۸' onClick='MyTogle()'>ñ۸</a>\n";
    }

    echo "
    </td>
    <!-- ˻  -->
    <td align=right>
    ";
    if( $X->GetPermision("LIST") )
    {
        echo "
              <font color=gray>
                <select name='keyword[field]'>
                  <option value='whole'".( ($keyword[field]=="whole")? (" Selected"): ("") )."> | </option>
                  <option value='title'".( ($keyword[field]=="title")? (" Selected"): ("") )."></option>
                  <option value='cont'".( ($keyword[field]=="cont")? (" Selected"): ("") )."></option>
                </select>
                <input type=text name='keyword[cont]' value='".$keyword[cont]."' size=15>
            ".
            (
                ($X->GetButtonType() )?
                ("<input type=image src='img/xb_search.gif' border=0>"):
                ("<input type=submit name='btGo' value='˻'>")
            )
            ."
              </font>
        ";
    }
    else
    {
        echo "&nbsp;";
    }

    echo "
    </td>
    <!-- ˻  -->
  </tr>
<input type=hidden name='id' value='".$X->GetBoardID()."'>
</form>
</table>
<!-- ϴܺ  -->
<!-- ñ   -->
    ";

    if( $X->GetPermision("LIST") )
    {
            /* Get Relational Acrticles */
        $X->Clear();
        $X->Add( "Select *" );
        $X->Add( "From ".$X->GetTableName() );
        $X->Add( "Where" );
        $X->Add( "(ref='$ref')" );
        $X->Add( "Order By ref DESC, seq DESC" );
        $X->Open();
        if( $X->RecCnt > 0 )
        {
            echo "
                <div id='showimage' style='position:absolute; visibility:".( ($v)? ("visible"): ("hidden") )."; width:400px;".(($l)?(" left:$l;"):("")).(($t)?(" top:$t;"):(""))."'>
                <table bgcolor=".$X->GetColorFieldBgcolor()." cellpadding=2 cellspacing=1 border=0 width=100% onMousedown='initializedragie()' style='cursor:move'>
                  <tr height=25>
                    <TD width=100% bgcolor=".$X->GetColorFieldBgcolor()." align=right valign=middle style='border-width:1px; border-bottom-color:".$X->GetColorFieldRightBottom()."; border-left-color:".$X->GetColorFieldLeftTop()."; border-top-color:".$X->GetColorFieldLeftTop()."; border-right-color:".$X->GetColorFieldRightBottom()."; border-style:solid;'>
                      <ilayer width=100% onSelectStart='return false'><layer width=100% onMouseover='dragswitch=1; drag_dropns(showimage)' onMouseout='dragswitch=0'>
                        <table width=100% border=0 cellspacing=0 cellpadding=0>
                          </tr>
                            <td align=left>&nbsp;&nbsp;ñ </td>
                            <td align=right>Total : $X->RecCnt article&nbsp;&nbsp;&nbsp;<img src='img/xb_close1.gif' width=16 height=14 border=0 valign-middle onMousedown=\"this.src='img/xb_close2.gif'\" onMouseup=\"this.src='img/xb_close1.gif'\" onClick='hidebox()' style='cursor:hand'>&nbsp;</td>
                          </tr>
                        </table>
                      </layer></ilayer>
                    </td>
                  </tr>
            ";

            while( !$X->EOF )
            {
                $write_time =   $X->GetField( write_time );
                $ref =          $X->GetField( ref );
                $seq =          $X->GetField( seq );
                $re_level =     $X->GetField( re_level );
                $title =        htmlspecialchars( stripslashes($X->GetField(title)) );

                echo "
                  <TR height=20 bgcolor='".$X->GetColorListBgcolor()."' onMouseOver=\"this.style.backgroundColor='".$X->GetColorFieldBgcolor()."';return true;\" onMouseOut=\"this.style.backgroundColor='".$X->GetColorListBgcolor()."';return true;\">
                    <TD align=left>
                            ";

                            for( $i=1 ; $i<$re_level ; $i++ )
                                echo "<img src='img/xb_relevel_blank_small.gif' height=10 border=0 valign=middle>";
                            if( $re_level )
                                echo "<img src='img/xb_relevel_reply_small.gif' boarder=0 valign-middle>";

                            echo "
                      <a href='#' onClick=\"MyRead('$write_time','$ref','$seq')\" onMouseOver=\"window.status='ñ б'\" onMouseOut=\"window.status=''\">$title</a><br>
                    </TD>
                  </TR>
                ";

                $X->Next();
            }
            echo "
    </table>
    </div>
            ";
        }
    }
    
    echo "
<!-- ñ   -->
    ";
    echo stripslashes( $X->GetTail() );

    $X->XBoard_Destructor();
?>
<?  /* End Of xboard_read.php */ ?>